## picodrive 1.1-1

=== platform/maemo/Makefile ===

# you may or may not need to change this
#devkit_path = x:/stuff/dev/devkitgp2x/
export CROSS = arm-linux-
#CROSS = $(devkit_path)bin/arm-linux-

# settings
#mz80 = 1
#debug_cyclone = 1
asm_memory = 1
asm_render = 1
asm_ym2612 = 1
asm_misc = 1
asm_cdpico = 1
asm_cdmemory = 1
amalgamate = 0
#profile = 1
#use_musashi = 1
#up = 1


ifeq "$(debug_cyclone)" "1"
use_cyclone = 1
use_musashi = 1
endif
ifeq "$(use_musashi)" "1"
asm_cdpico = 0
asm_memory = 0
asm_cdmemory = 0
else
use_cyclone = 1
endif

DEFINC = -I../.. -I. -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include \
		 -I/usr/local/include -I/usr/include/gconf/2 -DARM -D__MAEMO__ # -DBENCHMARK
COPT_COMMON = -Wall -Winline #-static
ifeq ($(DEBUG),)
COPT_COMMON += -O3 -ftracer -fstrength-reduce -fomit-frame-pointer -fstrict-aliasing -ffast-math
else
COPT_COMMON += -ggdb
endif
ifeq "$(profile)" "1"
COPT_COMMON += -fprofile-generate
endif
ifeq "$(profile)" "2"
COPT_COMMON += -fprofile-use
endif
COPT = $(COPT_COMMON) -mtune=cortex-a8 -mcpu=cortex-a8 -pthread
ASOPT = -mcpu=cortex-a8 -mfloat-abi=soft
GCC = gcc #$(CROSS)gcc
STRIP = $(CROSS)strip
AS = $(CROSS)as
LD = $(CROSS)ld
OBJCOPY = $(CROSS)objcopy
INSTALLDIR = $(DESTDIR)/opt/picodrive

# frontend
OBJS += main.o maemo.o usbjoy.o emu.o
# 940 core control
OBJS += 940ctl.o

# common
OBJS += ../common/emu.o ../common/fonts.o ../common/arm_utils.o \
	../common/readpng.o ../common/mp3_helix.o ../common/menu.o

# Pico
ifeq "$(amalgamate)" "1"
OBJS += ../../PicoAll.o
else
OBJS += ../../Pico/Area.o ../../Pico/Cart.o ../../Pico/Memory.o ../../Pico/Misc.o \
		../../Pico/Pico.o ../../Pico/Sek.o ../../Pico/VideoPort.o ../../Pico/Draw2.o ../../Pico/Draw.o \
		../../Pico/Patch.o
# Pico - CD
OBJS += ../../Pico/cd/Pico.o ../../Pico/cd/Memory.o ../../Pico/cd/Sek.o ../../Pico/cd/LC89510.o \
		../../Pico/cd/cd_sys.o ../../Pico/cd/cd_file.o ../../Pico/cd/gfx_cd.o \
		../../Pico/cd/Area.o ../../Pico/cd/Misc.o ../../Pico/cd/pcm.o ../../Pico/cd/buffering.o
endif

# asm stuff
ifeq "$(asm_render)" "1"
DEFINC += -D_ASM_DRAW_C
OBJS += ../../Pico/draw_asm.o ../../Pico/draw2_asm.o
endif
ifeq "$(asm_memory)" "1"
DEFINC += -D_ASM_MEMORY_C
OBJS += ../../Pico/memory_asm.o
endif
ifeq "$(asm_ym2612)" "1"
DEFINC += -D_ASM_YM2612_C
OBJS += ../../Pico/sound/ym2612_asm.o
endif
ifeq "$(asm_misc)" "1"
DEFINC += -D_ASM_MISC_C
OBJS += ../../Pico/misc_asm.o
OBJS += ../../Pico/cd/misc_asm.o
endif
ifeq "$(asm_cdpico)" "1"
DEFINC += -D_ASM_CD_PICO_C
OBJS += ../../Pico/cd/pico_asm.o
endif
ifeq "$(asm_cdmemory)" "1"
DEFINC += -D_ASM_CD_MEMORY_C
OBJS += ../../Pico/cd/memory_asm.o
endif

# Pico - sound
ifneq "$(amalgamate)" "1"
OBJS += ../../Pico/sound/sound.o
endif
OBJS += ../../Pico/sound/mix_asm.o
OBJS += ../../Pico/sound/sn76496.o ../../Pico/sound/ym2612.o
# zlib
OBJS += ../../zlib/gzio.o ../../zlib/inffast.o ../../zlib/inflate.o ../../zlib/inftrees.o ../../zlib/trees.o \
	../../zlib/deflate.o ../../zlib/crc32.o ../../zlib/adler32.o ../../zlib/zutil.o ../../zlib/compress.o
# unzip
OBJS += ../../unzip/unzip.o ../../unzip/unzip_stream.o
# debug
ifeq "$(debug_cyclone)" "1"
OBJS += ../../Pico/_cyclone_debug.o ../../cpu/musashi/m68kdasm.o
endif
# CPU cores
ifeq "$(use_musashi)" "1"
DEFINC += -DEMU_M68K
OBJS += ../../cpu/musashi/m68kops.o ../../cpu/musashi/m68kcpu.o
endif
ifeq "$(use_cyclone)" "1"
DEFINC += -DEMU_C68K
OBJS += ../../cpu/Cyclone/proj/Cyclone.o
endif
# drz80/mz80
ifeq "$(mz80)" "1"
DEFINC += -D_USE_MZ80
OBJS += ../../cpu/mz80/mz80.o
else
DEFINC += -D_USE_DRZ80
OBJS += ../../cpu/DrZ80/drz80.o
endif


all: picodrive

picodrive : $(OBJS) ../common/helix/helix_mp3.a
	@echo ">>>" $@
	$(GCC) -o $@ $(COPT) $^ -L/usr/lib -lm -lpng -lSDL -losso -lgconf-2 -Wl,-Map=PicoDrive.map,-rpath-link=/usr/lib
ifeq ($(DEBUG),)
	$(STRIP) $@
endif

up: picodrive
	#@cp -v picodrive /mnt/gp2x/mnt/sd/emus/PicoDrive/

#	@cmd //C copy PicoDrive.gpe \\\\10.0.1.2\\gp2x\\mnt\\sd\\games\\PicoDrive\\


.c.o:
	@echo ">>>" $<
	$(GCC) $(COPT) $(DEFINC) -c $< -o $@
.s.o:
	@echo ">>>" $<
	$(GCC) $(COPT) $(DEFINC) -c $< -o $@

../../Pico/draw_asm.o : ../../Pico/Draw.s
	@echo ">>>" $<
	$(AS) $(ASOPT) $< -o $@
../../Pico/draw2_asm.o : ../../Pico/Draw2.s
	@echo ">>>" $<
	$(AS) $(ASOPT) $< -o $@
../../Pico/memory_asm.o : ../../Pico/Memory.s
	@echo ">>>" $<
	$(AS) $(ASOPT) $< -o $@
../../Pico/sound/ym2612_asm.o : ../../Pico/sound/ym2612.s
	@echo ">>>" $<
	$(AS) $(ASOPT) $< -o $@
../../Pico/sound/mix_asm.o : ../../Pico/sound/mix.s
	@echo ">>>" $<
	$(AS) $(ASOPT) $< -o $@
../../Pico/misc_asm.o : ../../Pico/Misc.s
	@echo ">>>" $<
	$(AS) $(ASOPT) $< -o $@
../../Pico/cd/pico_asm.o : ../../Pico/cd/Pico.s
	@echo ">>>" $<
	$(AS) $(ASOPT) $< -o $@
../../Pico/cd/memory_asm.o : ../../Pico/cd/Memory.s
	@echo ">>>" $<
	$(AS) $(ASOPT) $< -o $@
../../Pico/cd/misc_asm.o : ../../Pico/cd/Misc.s
	@echo ">>>" $<
	$(AS) $(ASOPT) $< -o $@

# build Cyclone
../../cpu/Cyclone/proj/Cyclone.s :
	@echo building Cyclone...
	@make -C ../../cpu/Cyclone/proj CONFIG_FILE=config_pico.h

../../cpu/musashi/m68kops.c :
	@make -C ../../cpu/musashi


# build helix libs
../common/helix/helix_mp3.a:
	make -C ../common/helix

readme.txt: ../../tools/textfilter ../base_readme.txt
	../../tools/textfilter ../base_readme.txt $@ MAEMO

../../tools/textfilter: ../../tools/textfilter.c
	make -C ../../tools/ textfilter


# cleanup
clean: tidy
	$(RM) picodrive
tidy:
	$(RM) $(OBJS)
#	@make -C ../../cpu/Cyclone/proj -f Makefile.linux clean


clean_prof:
	find ../.. -name '*.gcno' -delete
	find ../.. -name '*.gcda' -delete

# ----------- release -----------
ifneq ($(findstring rel,$(MAKECMDGOALS)),)
ifeq ($(VER),)
$(error need VER)
endif
endif


install: picodrive
	install -D -m 755 picodrive $(INSTALLDIR)/picodrive

=== platform/maemo/menu/Makefile ===
PKGS:=gtk+-2.0 hildon-1 hildon-fm-2 libhildonmime gconf-2.0 gnome-vfs-2.0 x11
CPPFLAGS:=$(shell pkg-config --cflags $(PKGS))
LDLIBS:=$(shell pkg-config --libs $(PKGS))

-include config.mk

# Some hardcoded paths
GAME_PLUGIN_PATH=/opt/maemo/usr/lib/picodrive_plugin.so
GAME_CONF_PATH=/opt/picodrive/picodrive.conf
GAME_BIN_PATH=/opt/picodrive/picodrive
GAME_BANNER_PATH=/opt/maemo/usr/share/pixmaps/osso-games-startup-picodrive.png
GAME_VERSION=1.1
MAEMO_VERSION=5
OSSO_GAMES_STARTUP=/usr/bin/osso_games_startup

# The about dialog will use this
CPPFLAGS+=-DGAME_VERSION=$(GAME_VERSION)
LDFLAGS=-shared

GETTEXT_PACKAGE:=picodrive_plugin
ifeq ($(CONF_NLS), 1)
	CPPFLAGS += -DCONF_NLS=1 -DGETTEXT_PACKAGE=\"$(GETTEXT_PACKAGE)\"
endif

M4:=m4
M4DEFS:= -DGAME_VERSION=$(GAME_VERSION) -DGAME_PLUGIN_PATH=$(GAME_PLUGIN_PATH)
M4DEFS+= -DGAME_CONF_PATH=$(GAME_CONF_PATH) -DGAME_BIN_PATH=$(GAME_BIN_PATH)
M4DEFS+= -DGAME_BANNER_PATH=$(GAME_BANNER_PATH)
ifdef MAEMO_VERSION
M4DEFS+= -DMAEMO -DMAEMO_MAJOR=$(MAEMO_VERSION)
endif

XGETTEXT:=xgettext
XGETTEXT_OPTS:=--default-domain=$(GETTEXT_PACKAGE) --from-code=UTF-8 \
	--language=C --msgid-bugs-address=maemo@javispedro.com \
	--package-name=PicoDrive --package-version=$(GAME_VERSION) \
	--keyword=_ --keyword=N_
EXTRA_GETTEXT_SRCS:=buttons.inc

SRCS:=plugin.c state.c save.c controls.c keys.c settings.c about.c \
	 cellrendererkey.c
OBJS:=$(SRCS:.c=.o)

POT:=i18n/$(GETTEXT_PACKAGE).pot
PO_FILES:=$(wildcard i18n/*.po)
MO_FILES:=$(PO_FILES:.po=.mo)
LANGS:=$(basename $(notdir $(PO_FILES)))

DATA_FILES:=picodrive.conf picodrive.desktop
DATA_FILES+=picodrive.service picodrive.startup.service
DATA_FILES+=picodrive.schemas

all: picodrive_plugin.so $(DATA_FILES) $(MO_FILES) picodrive.launcher

picodrive.launcher:
	$(CC) $(CPPFLAGS) -o $@ -DOSSO_GAMES_STARTUP="$(OSSO_GAMES_STARTUP)" -DGAME_CONF="$(GAME_CONF)" launcher.c

picodrive_plugin.so: $(OBJS)
	$(CC) $(LDFLAGS) $^ $(LDLIBS) -o $@

$(POT): $(SRCS) $(EXTRA_GETTEXT_SRCS)
	$(XGETTEXT) $(XGETTEXT_OPTS) -o$@ $^

$(MO_FILES): %.mo: %.po
	msgfmt -c -o $@ $<

$(PO_FILES): %: $(POT)
	msgmerge -U $@ $(POT)
	@touch $@
	
clean: 
	rm -f picodrive_plugin.so *.o
	rm -f $(MO_FILES)
	rm -f $(DATA_FILES)

%: %.m4
	$(M4) $(M4DEFS) $^ > $@

install: all
	install -D picodrive.launcher $(DESTDIR)/opt/picodrive/picodrive.launcher
	install -D picodrive_plugin.so $(DESTDIR)$(GAME_PLUGIN_PATH)
	install -D -m 0644 picodrive.conf $(DESTDIR)$(GAME_CONF_PATH)
	install -D -m 0644 picodrive.desktop $(DESTDIR)/usr/share/applications/hildon/picodrive.desktop
	install -D -m 0644 picodrive.service $(DESTDIR)/usr/share/dbus-1/services/com.jcq.picodrive.service
	install -D -m 0644 picodrive.startup.service $(DESTDIR)/usr/share/dbus-1/services/com.jcq.picodrive.startup.service
	install -D -m 0644 icons/picodrive.png $(DESTDIR)/usr/share/icons/hicolor/scalable/hildon/picodrive.png
	install -D -m 0644 icons/banner.png $(DESTDIR)$(GAME_BANNER_PATH)
	install -D -m 0644 picodrive.schemas $(DESTDIR)/opt/maemo/usr/share/gconf/schemas/picodrive.schemas
#ifneq ($(GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL),1)
#	gconftool-2 --makefile-install-rule $(DESTDIR)/usr/share/gconf/schemas/picodrive.schemas 
#endif
#	for lang in $(LANGS); do \
#		install -d $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES ; \
#		install -m 0644 i18n/$$lang.mo \
#		 $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo ; \
#	done

.PHONY: all clean install

=== debian/changelog ===
picodrive (1.1-1) unstable; urgency=low

  * Fixed bug: invalid rom path reference after physically moving files
  * Screen scaling options
  * Touchscreen input support
  * Accelerometer input support
  * Added power saving options

 -- unknown <Javi@unknown>  Wed, 17 Mar 2010 22:15:43 +0000

picodrive (1.0-1) unstable; urgency=low

  * Initial release

 -- unknown <Javi@unknown>  Tue, 16 Mar 2010 02:02:43 +0000

## picodrive 1.2-1

=== Makefile ===
all:
	make -f Makefile -C platform/common/helix -k all
	make -f Makefile -C platform/maemo -k all
	make -f Makefile -C platform/maemo/menu -k all
	
install:
	make -f Makefile -C platform/maemo -k install DESTDIR=$(DESTDIR)
	make -f Makefile -C platform/maemo/menu -k install DESTDIR=$(DESTDIR)
	
clean:
	make -f Makefile -C platform/common/helix -k clean
	make -f Makefile -C platform/maemo -k clean
	make -f Makefile -C platform/maemo/menu -k clean

=== cpu/mz80/Makefile ===
CFLAGS = -Wno-conversion -Wno-sign-compare # -Wno-pointer-sign

all : mz80.asm

mz80.asm : makez80
	./makez80 -s -l -x86 $@

makez80 : makez80.o


clean :
	$(RM) makez80 makez80.o mz80.asm

=== platform/maemo/Makefile ===
--- 
+++ 
@@ -57,7 +57,7 @@
 # frontend
 OBJS += main.o maemo.o usbjoy.o emu.o
 # 940 core control
-OBJS += 940ctl.o
+#OBJS += 940ctl.o
 
 # common
 OBJS += ../common/emu.o ../common/fonts.o ../common/arm_utils.o \
@@ -229,4 +229,5 @@
 
 install: picodrive
 	install -D -m 755 picodrive $(INSTALLDIR)/picodrive
-	
+	#install -d $(INSTALLDIR)/bios
+	#install -m 644 ../../bios/* $(INSTALLDIR)/bios/

=== platform/common/helix/Makefile ===

ifeq ($(CROSS),)
ifneq ($(X86),)
#TARGET = helix_mp3_x86.a
else
#CROSS = arm-linux-
endif
endif # no CROSS

ifneq ($(findstring arm,$(CROSS)),)
ifeq ($(findstring cegcc,$(CROSS)),) # cegcc has ARM built in
#CFLAGS += -DARM
endif
else
#CFLAGS += -D__i386__
endif

CCFLAGS = -DARM -D__GNUC__

CC = $(CROSS)gcc
AS = $(CROSS)as
AR = $(CROSS)ar
CCFLAGS += -Ipub -O3

TARGET ?= helix_mp3.a

OBJS += mp3dec.o mp3tabs.o
OBJS += real/bitstream.o real/buffers.o real/dct32.o real/dequant.o real/dqchan.o \
	real/huffman.o real/hufftabs.o real/imdct.o real/scalfact.o real/stproc.o \
	real/subband.o real/trigtabs.o
# asm
ifneq ($(X86),)
OBJS += real/polyphase.o
else
OBJS += real/arm/asmpoly_gcc.o
endif

all : $(TARGET)

$(TARGET) : $(OBJS)
#	$(CC) -shared -nostdlib $^ -o $@
	$(AR) rcs $@ $^

.c.o:
	$(CC) $(CFLAGS) $(CCFLAGS) -c $< -o $@

.s.o:
	$(CC) $(CFLAGS) $(CCFLAGS) -c $< -o $@


clean :
	$(RM) $(OBJS) $(TARGET)

=== platform/maemo/menu/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 GAME_CONF_PATH=/opt/picodrive/picodrive.conf
 GAME_BIN_PATH=/opt/picodrive/picodrive
 GAME_BANNER_PATH=/opt/maemo/usr/share/pixmaps/osso-games-startup-picodrive.png
-GAME_VERSION=1.1
+GAME_VERSION=1.2
 MAEMO_VERSION=5
 OSSO_GAMES_STARTUP=/usr/bin/osso_games_startup

=== debian/changelog ===
picodrive (1.2-1) unstable; urgency=low

  * Fixed fullscreen mode for 256 columns games
  * Increased audio buffer size minimizing audio glitches
  * Added proper signal handling
  * Sega CD support
  * Quick save/load options

 -- javicq <Javi@unknown>  Sun, 21 Mar 2010 16:30:43 +0000

=== debian/control ===
Source: picodrive
Section: user/games
Priority: optional
Maintainer: javicq
Build-Depends: debhelper (>= 5), pkg-config, maemo-version, m4, libsdl1.2-dev,
 libx11-dev, x11proto-core-dev, libxsp-dev, libpopt-dev, zlib1g-dev, gnupg,
 libosso-dev, osso-games-startup-dev, libsdl-image1.2-dev,
 libhildonfm2-dev, libosso-gnomevfs2-dev, libhildonmime-dev
Standards-Version: 3.7.2

Package: picodrive
Depends: osso-games-startup
Architecture: armel
XB-Maemo-Display-Name: PicoDrive
Description: SEGA Mega Drive emulator for Maemo
XB-Maemo-Icon-26: 
	iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAALmklEQVR42u1Y
	aYydZRV+vrtvc+/cmbt1pp2lM22n+yIFRIFCA2ETRZZgg4kaRf4IQSBucUFj
	TEQlURMjKn9QIAiNRg0BhRSEFlqgC0PbmekyS6eduXPv3H2/9/t8znvvTAdK
	G1RwJJk3eTq33/K+53nPOc8576fhQz60+TZggcB8G7BAYL4NWCAw3wYsEPgA
	5rQSrsbfuaNC5Bt//28IhImLiM3EGmIZESHcZyGQIyaIIaKf2EPsJCb/lwS6
	iW3EDcR6wmKzO+H1B9Dka4bL44Pd4YTFaoNmMqkXDF1HtVJGqVhAPptCJpVE
	OhFDuVSQ21ViP7GdeIw4/kEQkOe2EvcSV5hMZlNLqA3h9i5EFneiNRyGh0Y3
	+7xwu5xwOOywWiwwmTQYhoFqtYZSuYx8oYhMNodkKo1cqYR0PI7oqVFEx0cw
	HT0JXa/pnP/vxE+I54T7+0FgE/FT4lKHy6Mt6VmFpSvWYHF7G9oXhRFo8cPt
	dqFm6MrYGegE1G+cvq7cUb9GakgmM4jGpzExOYV4PIbx44MYO3YIxXxWHn2B
	uId44z8lYCO+S9xntTus3Ss2oG/tRnR3LkEkHITL4VAGKWN1423GnwHgHddk
	a+u/5aZO8plMDicnoohOCZEBDA/uR6VUlLx5gLifKP87BILEH4lLgm1d2trz
	LsbSpV1o5W5LOOSLRVQqVfWg3WaFhx7QNO0Mw3UDZ1zDOwgYdbfMeiqXz5NE
	HMnENI4dfB1TJ4fliReJm4mp90KgXeJQ00wru1ZuxLpNFyAcCqkYzuYKZ4SJ
	EDK4g61+JrDToa67mAc+bxNJmUi0gkq1TlZCpe6R+s7PzFEsllDm/ELYYjbB
	ZDYzwUsqVyZGBjEysE/WOCT5R4yfi4BP2FI91vWuvRCr122E2+NBPl9EjflV
	rVWVwTpVRcJGXG+ikTJLuVxBMOBXyXvNlZdhVd8yREJBTDHGE4kUepZ24Jv3
	P8AdLtS9wIXS6SwSNFLmazhC/WOiejkpBHabjeQKiE+O4fhbu0XNDkhUEKl3
	IyC/nyQ+3dm3Cas3bIbd7qDRVJBCnkYkuHhRrWGhkXYuYLbYOKkxu6jsZqi1
	BR/ZsAY+XxNa6JUClUeSXAjv+OcrGBs/qZaKJ5JKlWbC5+3DwPKuNnS0R7B7
	30FunoH4qWGMDe6VmyK3N83QnUvgi8RDLZEubd35FzMM3CoEEvEoqroGM3W9
	yeNWD8rCDHlMc3fluoSCmW6XUAm0NKMhNup6S7MXyXRGeVA8Jkvm6YVUJstf
	mrJDPLBxVQ9zyYmX9ryJVp8H37rnDoahFy+8+BKeenYnjFoFp472Y3pC5cTt
	xG/nEpCkPWRzuFpXnb8VwVBYGZ/PJFEo69xNH40uKCPFMknYcKgVsXiSyjHB
	mLXUXcjrktAqrER3LzqPG+FAjrlz4OAgYtNJVRuisQTMJg0zUbOsI4y77vic
	2qBHHnsS+w8O4ZYbrlXzDQwMYNe+Ic6poZDPYKR/J8rFfJyvrZSkniEgUnVv
	W+8GavxqOJ0ulZgnRkfg8vqVQWUmoxQpmbRAFRJDZZdF9krlepKamYCSyPKM
	yW5m/tih5+qtT7ZQUdslIVfI5/D5W6+Hnzv9m99vR7DFh6uu2KLef3nXbuza
	exjLlgQRbPVj71tHUNJNiAQDlNoMklNjmDgqqaCK3X1CwEuM2F3e5p71H4O/
	pVUZV8hlqBoxuJp8auIak9dJ42QUqRAzsikKkmIiihckD4SkkDe3anAHdOQP
	MW/0KmqWJvWu5MmKzgi23fxJNd+zz+3A355/BX3dEZW0Bw4Po2KYTmcDwytE
	ghJeOZaFxHQcp4beQCmfTvJ2pxC4jXjE374cHayyzUw8J4tUkrGfoEromlXt
	mrheVVdJWK2esELCajEzF2Kw2l1qQQkZUaqzDXnH57LgE1dvVTnw0q5XcWQs
	puYTY2tUOkPn+yaL2qCbrtmC66+5QoXQ40/+Gc+8uAeZ2Akkxgdlus8KgUcZ
	75+JrNiMlkAYbZGwWigWnWTypWF1eJQ2S/wnUhlFQGJ1pseRliCdToFtBp8z
	n9N4KAUzq3zqCDcr8pOJPGfQUKPxXpcdd3/5NnSx2j/zjxfw8KPb8b2v36nW
	EzWLxWL45cNPoFouIHrkdfH0Y0JgiEb2Bpeuh93pQdeSdrXbeVbEU+OjqGoO
	Nbm4UIxTicyh9FwqsdlAmSolXhOplIIkJBc1WzE+XeRcFhWWy3v68Oqel2G1
	WjlPlY1fkwo5Bifzq4oKeV+6eTW2XnaxKmJ2zvfDHz+ILZd8HAFKszh/ePgY
	ntvVT1nPYXq0H9Vi9ogQKNmbWm2+thXSF2PV8h5lWI36f2LkGDSrQyWgt8mt
	1MRoeCBJbwipdCIOj69FGZPN5VX8O6sJttI0vL0X2XwVV15+Hfrf2sMaMKKI
	S5ESGb72sgtx5dZL1Ib96nd/gFkzcOEFm2EjyTRl9ontf1GVfP2qXmXTVDKL
	odEp5YHUyUGUMvGyEmKnL4ymSA/DzoY1K3shci2GiNsmThynZ9ywu30N5THU
	9XIpj3h0Ak5fUBmUZpssWm/TqtCLKdx4yzY8s2MnOjtWQq/l0R7x4dkdu5Tm
	SxiJ575215cQCrSqKn7w0CE8vv1prF/di0WLFmH/gTdx5MQ0DOab5EZPV4eq
	I0PHRqFXy8hMHEUhNVmvJK7mCDyhbpisdnR3tDeUxKA8VlCSnmR6CkUeRNTO
	NXa6ROX0tYbVs+KNmX5nZlitltmGT8JOdnxufpiNKrbddK1qEIXUwMBh7D00
	xvWKKkTMdqne9U41HGhhGPkxcGRYra1XSshGjyOfnFAEUu7msNcZ6ISFL4mO
	9/V2K6mscEGJadkhISO1QJo6qT7SrFksJrYEqYahxmwvYxjvfg4RBVLFQKvX
	0IDbjM2b1nKtIo4cH4dm9/DkJvlQUyEsouBnJRfPj41PsK9KqMio8iSXj42Q
	wGRaptrr9LZucAkBKg5PWyz/PnQuXqSMLrJozRgvhkkS2ri7KbYH0i3KQqLz
	Rq1OQvok2XEe2hp9Ek0VCa7p6tmq8hQFVNUNkcoa88sLv9/P3svGCm1SOSHz
	SKgVS2WMn4qqk5xqO2SOYhb5+CgK6fg+IfBrk9l6e7BnA1h+2NvUK6lMJq6b
	6fXF/VKB0zx4pCiblXIJRrXCM7CbTZ2VBlvrYUf3l9lB6qLnqveBakuk0Nl4
	7JR8kvl09jY1vp+nYRpzT+aw2+3qOCoboHKNRbJUOn2OkWu1SlEp19TRfTLH
	Q0LgKuLpEGVUCJhIQJL5tMsx2/5KdutcVK+W4GGjZbYy/mOn6MooyrkEauUC
	3ssw25ywuf1wNYfgCyxiTBeRzaTVuiazTRaGpp1u1YxGAVVrVwokoCN6TL4D
	4Gp5QjqxfquzaUV73/nIpRJcgTvKHdEaTZk6hEg7UCmrRLa5mmj4BNJUAnEn
	6p9K5DD+GiElMor6N6C5w4n6Z5jlxHmoH04iErZeKmAziZQLaRQLJSUmmsk8
	u4GiQuIx7hDclOzxw7tRKWQGeGvNTDP3KeIpT6jLFOxYAYM7ks9lZ1VDOken
	263ahUKxjMSJwygkxWbsI35A/BVnObOeY4ibryO+TWxwUgn9i/u4QTaehQvs
	xbIsoPUckmR28WAlNWlqdIAKNCyxeSPxp7nngZ8TX3EHOuANd8PJ84AkkSpq
	utSEAoqpmCogjEM5iXyHeBD17zr/zZAIuJv4PvPP4WtbDocvwEbPqRJahso/
	dgbpyWPIxUbl0i+IO08HWX3I0z8i7jFb7WaHL0RZrR9gJHFY9cRt8l/5zPEF
	1D9GvZ9DPpI9TGxiOIPdgRIURaCU4+ZFaUdJQkI+8XyD0N9JYGZ8lPgqcTnh
	b1yTQH+tscDj78Oun8sbtzY2SPLE07jOxMTzxM+IXXNfONd3Ifm26W38FhEu
	fkBGn204GgTU+R9n+Si88Hl9vscCgfkeCwTmeywQmO/xoSfwL6+59AN4mfAz
	AAAAAElFTkSuQmCC
	====

## picodrive 1.3-1

=== Makefile ===
PLATFORM=FREMANTLE

ifeq "$(PLATFORM)" "DIABLO"
MAKEMENU=@echo ignoring
else
MAKEMENU=make -f Makefile -C platform/maemo/menu -k
endif
all:
	make -f Makefile -C platform/common/helix -k all
	make -f Makefile -C platform/maemo -k all PLATFORM=$(PLATFORM)
	$(MAKEMENU) all
install:
	make -f Makefile -C platform/maemo -k install DESTDIR=$(DESTDIR)
	$(MAKEMENU) install DESTDIR=$(DESTDIR)
clean:
	make -f Makefile -C platform/common/helix -k clean
	make -f Makefile -C platform/maemo -k clean
	$(MAKEMENU) clean

=== platform/maemo/Makefile ===
--- 
+++ 
@@ -31,9 +31,12 @@
 use_cyclone = 1
 endif
 
-DEFINC = -I../.. -I. -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include \
-		 -I/usr/local/include -I/usr/include/gconf/2 -DARM -D__MAEMO__ # -DBENCHMARK
+PKG_CONFIG_PATH=/usr/lib/pkgconfig
+DEFINC = -I../.. -I. -DARM -D__MAEMO__ # -DBENCHMARK
 COPT_COMMON = -Wall -Winline #-static
+#COPT_COMMON += $(shell pkg-config --cflags --libs gstreamer-0.10)
+COPT_COMMON += $(shell pkg-config --cflags --libs glib-2.0)
+COPT_COMMON += $(shell pkg-config --cflags --libs gconf-2.0) 
 ifeq ($(DEBUG),)
 COPT_COMMON += -O3 -ftracer -fstrength-reduce -fomit-frame-pointer -fstrict-aliasing -ffast-math
 else
@@ -45,8 +48,13 @@
 ifeq "$(profile)" "2"
 COPT_COMMON += -fprofile-use
 endif
+ifeq "$(PLATFORM)" "DIABLO"
+COPT = $(COPT_COMMON) -mtune=arm1136j-s -mcpu=arm1136j-s -pthread
+ASOPT = -mcpu=arm1136j-s -mfloat-abi=soft
+else
 COPT = $(COPT_COMMON) -mtune=cortex-a8 -mcpu=cortex-a8 -pthread
 ASOPT = -mcpu=cortex-a8 -mfloat-abi=soft
+endif
 GCC = gcc #$(CROSS)gcc
 STRIP = $(CROSS)strip
 AS = $(CROSS)as
@@ -141,7 +149,7 @@
 
 picodrive : $(OBJS) ../common/helix/helix_mp3.a
 	@echo ">>>" $@
-	$(GCC) -o $@ $(COPT) $^ -L/usr/lib -lm -lpng -lSDL -losso -lgconf-2 -Wl,-Map=PicoDrive.map,-rpath-link=/usr/lib
+	$(GCC) -o $@ $(COPT) $^ -L/usr/lib -lm -lpng -lSDL -losso -Wl,-Map=PicoDrive.map,-rpath-link=/usr/lib
 ifeq ($(DEBUG),)
 	$(STRIP) $@
 endif
@@ -229,5 +237,6 @@
 
 install: picodrive
 	install -D -m 755 picodrive $(INSTALLDIR)/picodrive
+	install -D picodrive.ini $(INSTALLDIR)/picodrive.ini
 	#install -d $(INSTALLDIR)/bios
 	#install -m 644 ../../bios/* $(INSTALLDIR)/bios/

=== cpu/Cyclone/proj/Makefile ===
CFLAGS = -Wall
ifdef CONFIG_FILE
CFLAGS += -DCONFIG_FILE=\"$(CONFIG_FILE)\"
endif

all : cyclone.s

cyclone.s : Cyclone.exe
	./Cyclone.exe

Cyclone.exe : Main.o Ea.o OpAny.o OpArith.o OpBranch.o OpLogic.o Disa.o OpMove.o
	$(CC) $^ -o $@ -lstdc++

Main.o : ../Main.cpp ../app.h
	$(CC) $(CFLAGS) ../Main.cpp -c -o $@

Ea.o : ../Ea.cpp ../app.h
	$(CC) $(CFLAGS) ../Ea.cpp -c -o $@

OpAny.o : ../OpAny.cpp ../app.h
	$(CC) $(CFLAGS) ../OpAny.cpp -c -o $@

OpArith.o : ../OpArith.cpp ../app.h
	$(CC) $(CFLAGS) ../OpArith.cpp -c -o $@

OpBranch.o : ../OpBranch.cpp ../app.h
	$(CC) $(CFLAGS) ../OpBranch.cpp -c -o $@

OpLogic.o : ../OpLogic.cpp ../app.h
	$(CC) $(CFLAGS) ../OpLogic.cpp -c -o $@

OpMove.o : ../OpMove.cpp ../app.h
	$(CC) $(CFLAGS) ../OpMove.cpp -c -o $@

Disa.o : ../Disa/Disa.c ../Disa/Disa.h
	$(CC) $(CFLAGS) ../Disa/Disa.c -c -o $@

../app.h : ../config.h

clean :
	$(RM) *.o Cyclone.exe Cyclone.s

=== platform/common/helix/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 #CFLAGS += -D__i386__
 endif
 
-CCFLAGS = -DARM -D__GNUC__
+CCFLAGS = -DARM
 
 CC = $(CROSS)gcc
 AS = $(CROSS)as

=== platform/maemo/menu/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 GAME_CONF_PATH=/opt/picodrive/picodrive.conf
 GAME_BIN_PATH=/opt/picodrive/picodrive
 GAME_BANNER_PATH=/opt/maemo/usr/share/pixmaps/osso-games-startup-picodrive.png
-GAME_VERSION=1.2
+GAME_VERSION=1.3
 MAEMO_VERSION=5
 OSSO_GAMES_STARTUP=/usr/bin/osso_games_startup

=== debian/changelog ===
picodrive (1.3-1) unstable; urgency=low

  * Fixed CD audio sometimes not working when resuming games
  * Mode button was missing from key configurations
  * Show onscreen buttons caused major framerate drop
  * Added 2 players support

 -- javicq <Javi@unknown>  Thu, 25 Mar 2010 17:21:43 +0000

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 Architecture: armel
 XB-Maemo-Display-Name: PicoDrive
 Description: SEGA Mega Drive emulator for Maemo
+XSBC-Bugtracker: jcqmaemo@ovi.com
 XB-Maemo-Icon-26: 
 	iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAALmklEQVR42u1Y
 	aYydZRV+vrtvc+/cmbt1pp2lM22n+yIFRIFCA2ETRZZgg4kaRf4IQSBucUFj

## picodrive 1.32-1

=== Makefile ===
PLATFORM=FREMANTLE
GAME_VERSION=1.32

ifeq "$(PLATFORM)" "DIABLO"
MAKEMENU=@echo ignoring
else
MAKEMENU=make -f Makefile -C platform/maemo/menu -k
endif
all:
	make -f Makefile -C platform/maemo -k all PLATFORM=$(PLATFORM) GAME_VERSION=$(GAME_VERSION)
	$(MAKEMENU) all GAME_VERSION=$(GAME_VERSION)
install:
	make -f Makefile -C platform/maemo -k install DESTDIR=$(DESTDIR) GAME_VERSION=$(GAME_VERSION)
	$(MAKEMENU) install DESTDIR=$(DESTDIR) GAME_VERSION=$(GAME_VERSION)
clean:
	make -f Makefile -C platform/maemo -k clean
	$(MAKEMENU) clean

=== platform/maemo/Makefile ===
--- 
+++ 
@@ -31,10 +31,9 @@
 use_cyclone = 1
 endif
 
-PKG_CONFIG_PATH=/usr/lib/pkgconfig
-DEFINC = -I../.. -I. -DARM -D__MAEMO__ # -DBENCHMARK
+DEFINC = -I../.. -I. -DARM -D__MAEMO__ -DGAME_VERSION=$(GAME_VERSION) # -DBENCHMARK
 COPT_COMMON = -Wall -Winline #-static
-#COPT_COMMON += $(shell pkg-config --cflags --libs gstreamer-0.10)
+COPT_COMMON += $(shell pkg-config --cflags --libs gstreamer-0.10)
 COPT_COMMON += $(shell pkg-config --cflags --libs glib-2.0)
 COPT_COMMON += $(shell pkg-config --cflags --libs gconf-2.0) 
 ifeq ($(DEBUG),)
@@ -63,13 +62,13 @@
 INSTALLDIR = $(DESTDIR)/opt/picodrive
 
 # frontend
-OBJS += main.o maemo.o usbjoy.o emu.o
+OBJS += main.o maemo.o emu.o
 # 940 core control
 #OBJS += 940ctl.o
 
 # common
 OBJS += ../common/emu.o ../common/fonts.o ../common/arm_utils.o \
-	../common/readpng.o ../common/mp3_helix.o ../common/menu.o
+	../common/readpng.o ../common/menu.o
 
 # Pico
 ifeq "$(amalgamate)" "1"
@@ -147,7 +146,7 @@
 
 all: picodrive
 
-picodrive : $(OBJS) ../common/helix/helix_mp3.a
+picodrive : $(OBJS) 
 	@echo ">>>" $@
 	$(GCC) -o $@ $(COPT) $^ -L/usr/lib -lm -lpng -lSDL -losso -Wl,-Map=PicoDrive.map,-rpath-link=/usr/lib
 ifeq ($(DEBUG),)

=== platform/maemo/menu/Makefile ===
--- 
+++ 
@@ -3,15 +3,6 @@
 LDLIBS:=$(shell pkg-config --libs $(PKGS))
 
 -include config.mk
-
-# Some hardcoded paths
-GAME_PLUGIN_PATH=/opt/maemo/usr/lib/picodrive_plugin.so
-GAME_CONF_PATH=/opt/picodrive/picodrive.conf
-GAME_BIN_PATH=/opt/picodrive/picodrive
-GAME_BANNER_PATH=/opt/maemo/usr/share/pixmaps/osso-games-startup-picodrive.png
-GAME_VERSION=1.3
-MAEMO_VERSION=5
-OSSO_GAMES_STARTUP=/usr/bin/osso_games_startup
 
 # The about dialog will use this
 CPPFLAGS+=-DGAME_VERSION=$(GAME_VERSION)
@@ -21,6 +12,16 @@
 ifeq ($(CONF_NLS), 1)
 	CPPFLAGS += -DCONF_NLS=1 -DGETTEXT_PACKAGE=\"$(GETTEXT_PACKAGE)\"
 endif
+
+# Some hardcoded paths
+GAME_SHARE_PATH=/usr/share/games/picodrive
+GAME_PLUGIN_PATH=/usr/lib/picodrive_plugin.so
+GAME_CONF_PATH=$(GAME_SHARE_PATH)/picodrive.conf
+GAME_BIN_PATH=/opt/picodrive/picodrive
+GAME_BANNER_PATH=/usr/share/pixmaps/osso-games-startup-picodrive.png
+GAME_VERSION=1.0
+MAEMO_VERSION=5
+OSSO_GAMES_STARTUP=/usr/bin/osso_games_startup
 
 M4:=m4
 M4DEFS:= -DGAME_VERSION=$(GAME_VERSION) -DGAME_PLUGIN_PATH=$(GAME_PLUGIN_PATH)
@@ -77,6 +78,7 @@
 	$(M4) $(M4DEFS) $^ > $@
 
 install: all
+	install -d $(DESTDIR)$(GAME_SHARE_PATH)
 	install -D picodrive.launcher $(DESTDIR)/opt/picodrive/picodrive.launcher
 	install -D picodrive_plugin.so $(DESTDIR)$(GAME_PLUGIN_PATH)
 	install -D -m 0644 picodrive.conf $(DESTDIR)$(GAME_CONF_PATH)
@@ -85,7 +87,7 @@
 	install -D -m 0644 picodrive.startup.service $(DESTDIR)/usr/share/dbus-1/services/com.jcq.picodrive.startup.service
 	install -D -m 0644 icons/picodrive.png $(DESTDIR)/usr/share/icons/hicolor/scalable/hildon/picodrive.png
 	install -D -m 0644 icons/banner.png $(DESTDIR)$(GAME_BANNER_PATH)
-	install -D -m 0644 picodrive.schemas $(DESTDIR)/opt/maemo/usr/share/gconf/schemas/picodrive.schemas
+	install -D -m 0644 picodrive.schemas $(DESTDIR)/usr/share/gconf/schemas/picodrive.schemas
 #ifneq ($(GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL),1)
 #	gconftool-2 --makefile-install-rule $(DESTDIR)/usr/share/gconf/schemas/picodrive.schemas 
 #endif

=== debian/changelog ===
picodrive (1.32-1) unstable; urgency=low

  * Fixed save filechooser stuck to "bin" folder
  * Moved mp3 decoding to maemo native codecs

 -- javicq <Javi@unknown>  Mon, 29 Mar 2010 13:53:43 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 5), pkg-config, maemo-version, m4, libsdl1.2-dev,
  libx11-dev, x11proto-core-dev, libxsp-dev, libpopt-dev, zlib1g-dev, gnupg,
  libosso-dev, osso-games-startup-dev, libsdl-image1.2-dev,
- libhildonfm2-dev, libosso-gnomevfs2-dev, libhildonmime-dev
+ libhildonfm2-dev, libosso-gnomevfs2-dev, libhildonmime-dev, libgstreamer0.10-dev
 Standards-Version: 3.7.2
 
 Package: picodrive
@@ -13,7 +13,7 @@
 Architecture: armel
 XB-Maemo-Display-Name: PicoDrive
 Description: SEGA Mega Drive emulator for Maemo
-XSBC-Bugtracker: jcqmaemo@ovi.com
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=picodrive
 XB-Maemo-Icon-26: 
 	iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAALmklEQVR42u1Y
 	aYydZRV+vrtvc+/cmbt1pp2lM22n+yIFRIFCA2ETRZZgg4kaRf4IQSBucUFj

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/picodrive.sgml > picodrive.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/picodrive.
	$(MAKE) DESTDIR=$(CURDIR)/debian/picodrive install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## picodrive 1.35-1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PLATFORM=FREMANTLE
-GAME_VERSION=1.32
+GAME_VERSION=1.35
 
 ifeq "$(PLATFORM)" "DIABLO"
 MAKEMENU=@echo ignoring

=== cpu/musashi/Makefile ===
m68kops.c : m68kmake
	./$<

m68kmake : m68kmake.c m68k_in.c
	$(CC) -o $@ $<


clean:
	$(RM) m68kops.c m68kops.h m68kmake *.o

=== platform/maemo/Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 use_cyclone = 1
 endif
 
-DEFINC = -I../.. -I. -DARM -D__MAEMO__ -DGAME_VERSION=$(GAME_VERSION) # -DBENCHMARK
+DEFINC = -I../.. -I. -DARM -D__MAEMO__ -DGAME_VERSION=$(GAME_VERSION) -DPLATFORM=$(PLATFORM)# -DBENCHMARK
 COPT_COMMON = -Wall -Winline #-static
 COPT_COMMON += $(shell pkg-config --cflags --libs gstreamer-0.10)
 COPT_COMMON += $(shell pkg-config --cflags --libs glib-2.0)

=== debian/changelog ===
picodrive (1.35-1) unstable; urgency=low

  * Support for scaling sprites
  * Fixed CD music not resuming properly when loading saved games
  * Fixed CD music playing regardless of "sound" setting

 -- javicq <Javi@unknown>  Mon, 12 Mar 2010 16:53:43 +0000
